Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.iiop
Class IIOPClientProtocol

    java.lang.Object
      |
      +--org.openorb.iiop.IIOPClientProtocol

All Implemented Interfaces:
  ClientProtocol

public class IIOPClientProtocol
extends java.lang.Object
implements ClientProtocol

Implements the `ClientProtocol` interface for IIOP.

Version:
  $Revision: 1.17 $ $Date: 2002/07/14 19:05:40 $
Author:
  Chris Wood

Constructor Summary
`IIOPClientProtocol(ClientManager clientManager, CDRCodecFactory codec_factory, CodeSetComponentInfo codesetInfo, TransportClientInitializer tpInit, ListenPoint[] biDirListenPoints)` Creates new IIOPClientProtocol

Method Summary
`Address[]` | `createAddresses(IORAddressingInfo address)` Create addresses from component in IOR
`ClientBinding` | `createBinding(Address addr)` Returns a Collection of ClientBinding objects, prioritised at the per-profile (inter-component) level.
`ClientManager` | `getClientManager()` Get a reference to the orb's client manager.
`Codec` | `getCodec()` Get the codec for this channel.
`ORB` | `orb()` An orb reference.
`void` | `setServerProtocol(IIOPServerProtocol protocol)` Sets the server protocol.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IIOPClientProtocol

    public IIOPClientProtocol(ClientManager clientManager,
                              CDRCodecFactory codec_factory,
                              CodeSetComponentInfo codesetInfo,
                              TransportClientInitializer tpInit,
                              ListenPoint[] biDirListenPoints)

  Creates new IIOPClientProtocol

Method Detail

### setServerProtocol

    public void setServerProtocol(IIOPServerProtocol protocol)

  Sets the server protocol.
  Parameters:
    `protocol` - The server protocol.

### getCodec

    public Codec getCodec()

  Get the codec for this channel.
  Returns:
    The codec.

### orb

    public ORB orb()

  An orb reference.
  Specified by:
    `orb` in interface `ClientProtocol`

### getClientManager

    public ClientManager getClientManager()

  Get a reference to the orb's client manager.

### createAddresses

    public Address[] createAddresses(IORAddressingInfo address)

  Create addresses from component in IOR
  Specified by:
    `createAddresses` in interface `ClientProtocol`

### createBinding

    public ClientBinding createBinding(Address addr)

  Returns a Collection of ClientBinding objects, prioritised at the per-profile (inter-component) level. The client addresses in the returned bindings should return identical results for each of the addressing disposition types.
  Specified by:
    `createBinding` in interface `ClientProtocol`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD